# ELWIX customized cshrc
#
# $Id: cshrc,v 1.4 2014/09/15 19:06:55 misho Exp $

alias h		history 250
alias j		jobs -l
alias ls	ls -GF
alias la	ls -al
alias lf	ls -FA
alias ll	ls -lioA
alias l		ls -lF
alias su	su -m

setenv	EDITOR	vi
setenv	VISUAL	${EDITOR}
setenv	EXINIT	'set autoindent'
setenv	PAGER	more

#setenv LANG		bg_BG
#setenv	LANGUAGE	bg
#setenv	LC_ALL		C
#setenv	LC_CTYPE	bg_BG.CP1251

#setenv ELWIX_UPGRADE_HOST	10.254.254.253

set path = (~/bin /{,s}bin /usr/{,s}bin /usr/X11R6/{,s}bin /usr/local/{,s}bin /elwix/pkg/{,s}bin)

#alias keyon	ssh-add -t 10800
#alias keyoff	ssh-add -D
#alias keylist	ssh-add -l
#if (! $?SSH_CLIENT) then
#	source ~/.ssh-agent
#	keyon
#endif

if ($?prompt) then
	set term = xterm-color
	# An interactive shell -- set some stuff up
	set filec
	set history = 1000
	set savehist = 1000 merge
	set histfile = ~/.tcsh_history
#	set ignoreeof
#	set correct = complete
#	set histdup = all
	set autolist
	set autoindent
	set autocorrect
	set correct = cmd
	set color
	set nobeep
	set mail = (/var/mail/$USER)
#	set mch = `hostname -s`
#	set prompt = "${mch:q}: {\!} "
	set prompt = "%n@%m:%B%~%b %U%l%u=%S%?%s %T%# "
	if ( $?tcsh ) then
		bindkey "^W" backward-delete-word
		bindkey -k up history-search-backward
		bindkey -k down history-search-forward
	endif

# FreeBSD TCL
	setenv TCLLIBPATH /usr/local/lib/tcl8.5
# NetBSD TCL
#	setenv TCLLIBPATH /usr/pkg/lib/tcl
# OpenBSD TCL
#	setenv TCLLIBPATH /usr/local/lib/tcl
endif
